Bug 6015 - Enhancing the performance test suite
Summary: Enhancing the performance test suite
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: 3.8
Hardware: All All
: P3 enhancement (vote)
Target Milestone: ---
Assignee: Paul Poulain
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on: 7119
Blocks: 5992
  Show dependency treegraph
 
Reported: 2011-03-30 22:28 UTC by Chris Cormack
Modified: 2013-12-05 19:57 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Proposed Patch (6.84 KB, patch)
2011-03-30 22:30 UTC, Chris Cormack
Details | Diff | Splinter Review
Test suite improvement follow-up (2.84 KB, patch)
2011-11-25 17:41 UTC, Paul Poulain
Details | Diff | Splinter Review
Bug 6015 : Improving load_testing (6.89 KB, patch)
2011-11-27 07:14 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 6015 : Test suite improvement follow-up (2.85 KB, patch)
2011-11-27 07:14 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 6015, new script for load testing (13.95 KB, patch)
2011-12-02 16:38 UTC, Paul Poulain
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2011-03-30 22:28:31 UTC

    
Comment 1 Chris Cormack 2011-03-30 22:30:53 UTC Comment hidden (obsolete)
Comment 2 MJ Ray (software.coop) 2011-04-10 11:26:05 UTC
This bug is mentioned in:
Bug 6015 : Improving load_testing http://lists.koha-community.org/pipermail/koha-patches/2011-March/014383.html
Comment 3 Paul Poulain 2011-10-24 11:38:21 UTC
Updating Version : This ENH will be for Koha 3.8
Comment 4 Paul Poulain 2011-10-25 15:05:58 UTC
Bug versionned for master. entries will be made against rel_3_8 once the patch has been applied (see thread about that on koha-devel yesterday)
Comment 5 Paul Poulain 2011-11-25 17:41:38 UTC Comment hidden (obsolete)
Comment 6 Chris Cormack 2011-11-27 07:14:10 UTC Comment hidden (obsolete)
Comment 7 Chris Cormack 2011-11-27 07:14:31 UTC Comment hidden (obsolete)
Comment 8 Paul Poulain 2011-12-02 16:38:05 UTC
Created attachment 6542 [details] [review]
Bug 6015, new script for load testing

This benchmark_staff.pl script is based on the previous benchmark_circulation.pl script
As it does not test only circulation, the renaming was necessary.
The script has many enhancement compared to the benchmark_circulation.pl one
The benchmark_staff will run a benchmark on the following pages:
    * mainpage.pl
    * catalogue/detail.pl
    * catalogue/search.pl
    * members/member.pl (search on a name)
    * members/member.pl (search on a 1st letter)
    * circulation/circulation.pl and return.pl (check-out and check-in)
    * all those steps at the same time

    run the script without any parameter to get syntax
Comment 9 Paul Poulain 2011-12-02 16:40:45 UTC
Comment on attachment 6418 [details] [review]
Bug 6015 : Improving load_testing

obsoleted by benchmark_staff.pl
Comment 10 Paul Poulain 2011-12-02 16:40:57 UTC
Comment on attachment 6419 [details] [review]
Bug 6015 : Test suite improvement follow-up

obsoleted by benchmark_staff.pl